@media (max-width: 1700px) {
  html,
  body {
    font-size: 14px;
  }
}

@media (max-width: 1400px) {
  html,
  body {
    font-size: 13px;
  }
}

@media (max-width: 1240px) {
  .menu-toggle {
    display: block;
    z-index: 1001;
    margin-left: auto;
  }

  #header-container .btn-header-container {
    display: none;
  }

  .nav-header-links nav {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    width: 60vw;
    height: 100vh;
    padding-top: 120px;
    padding-left: 6em;
    background: var(--dark);
    z-index: 1000;
  }

  #header-container nav .btn-header-container {
    margin-top: 3em;
    display: block;
  }

  #header-container nav ul {
    flex-direction: column;
    justify-content: start;
    align-items: start;
  }

  .nav-header-links nav ul a {
    font-size: calc(var(--a) * 1.5);
  }

  .nav-menu {
    border-radius: 1.5em;
    padding: 2em;
  }

  #header-container nav .nav-social {
    flex-direction: row;
    background: transparent;
  }

  #header-container nav .nav-social img {
    width: 1.75em;
  }
}

@media (max-width: 1100px) {
  html,
  body {
    font-size: 12px;
  }
}

@media (max-width: 991px) {
  .nav-header-links nav {
    width: 80vw;
  }

  .banner-home .section-bg img {
    height: 70%;
  }

  .banner-home .banner-slider img {
    height: 20em;
  }

  .el-grown-container {
    transform: none;
  }

  .about-section .el-about-container .el-about-bg {
    width: 100%;
    height: 100%;
  }

  .testimonials-slider .swiper {
    width: 85%;
  }

  .cta2-section h2,
  .cta2-section p {
    width: 100%;
  }

  .grid-container {
    grid-template-columns: repeat(2, 1fr);
  }

  .nav-logo-footer {
    width: 25em;
    display: block;
    margin: 0 auto;
  }

  .cta2-section .el-testimonials-bg {
    width: 30em;
    height: 30em;
  }

  .cta-container .el-rock-01 {
    width: 10em;
    height: 5em;
    left: -2%;
  }

  .products-section .el-rock-01 {
    left: -10%;
  }

  .products-section .el-rock-02 {
    width: 6em;
    height: 6em;
  }

  .products-section .el-bg-container {
    left: -15%;
  }

  .testimonial-section .el-rock-03 {
    width: 10em;
    height: 10em;
  }

  .card-section .el-rock-01 {
    width: 15em;
    height: 15em;
    top: -7.5em;
  }

  .yellow-section .el-rock-02 {
    width: 10em;
    height: 10em;
  }

  .grid-section .el-rock-02 {
    width: 14em;
    height: 8em;
  }

  .grid-section .el-rock-01 {
    width: 7em;
    height: 7em;
    top: 25%;
  }

  .products-section .el-bg-container .el-video-bg {
    width: 90%;
  }

  .products-slider .swiper {
    width: 70%;
  }
}

@media screen and (max-width: 768px) {
  html,
  body {
    font-size: 11px;
  }

  .nav-header-links nav {
    width: 90vw;
  }

  .cta2-section .el-flag-container img {
    width: 60%;
  }

  .high-items ul {
    flex-direction: column;
  }

  .card-section h2 {
    font-size: calc(var(--h1) * 1);
  }

  .card-section p {
    padding-right: 0;
  }
}

@media screen and (max-width: 550px) {
  html,
  body {
    font-size: 10px;
  }

  .nav-header-links .logo-img {
    width: 17em;
  }

  .map-section {
    height: 350px;
  }

  .map-container {
    transform: translate(-50%, -50%) scale(0.37);
  }

  .slider-btn-container {
    position: relative;
    width: 100%;
    height: 5em;
    display: flex;
    gap: 1em;
    justify-content: center;
    align-items: center;
    margin-top: 3em;
  }

  .swiper-button-prev,
  .swiper-button-next {
    position: relative;
    top: 0 !important;
    left: 0 !important;
    right: 0 !important;
    transform: none;
  }

  .banner-home .banner-slider .swiper {
    width: 90%;
  }
}
